# Add build info

Adds build info generated by CLI after package installation.

Endpoint: POST /har/api/v3/build-info
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

## Request fields (application/json):

  - `metadata` (array, required)
    List of dependency graph nodes for the build.

  - `metadata.nodeKey` (string, required)
    package@version

  - `metadata.parentNodeKey` (string)
    Parent node

  - `packageType` (string, required)
    Package type. Known values include: DOCKER, MAVEN, PYTHON, GENERIC, HELM, NUGET, NPM, RPM, CARGO, COMPOSER, GO, HUGGINGFACE, CONDA, DART, SWIFT, PUPPET, RAW. This field is extensible; clients must handle unknown values.
    Example: "DOCKER"

  - `pipelineContext` (object)
    Pipeline execution context.

  - `pipelineContext.executionId` (string, required)
    Execution identifier.

  - `pipelineContext.orgId` (string, required)
    Organization identifier.

  - `pipelineContext.pipelineId` (string, required)
    Pipeline identifier.

  - `pipelineContext.projectId` (string, required)
    Project identifier.

  - `pipelineContext.stageId` (string, required)
    Stage identifier.

  - `pipelineContext.stepId` (string)
    Step identifier.

  - `registryId` (string, required)
    UUID of the registry to add build info for

  - `rootPackage` (object, required)
    Root package of the build

  - `rootPackage.name` (string, required)
    Name of the root package

  - `rootPackage.version` (string, required)
    Version of the root package

  - `status` (string, required)
    Status of the evaluation
    Enum: "PENDING", "PROCESSING", "SUCCESS", "FAILURE"

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


## Response 201 fields
